# AUTOGENERATED! DO NOT EDIT! File to edit: nbs/3_llm.ipynb (unless otherwise specified).

__all__ = ['mock_embed_create', 'mock_openai_embed']

# Internal Cell
from sentence_transformers import SentenceTransformer
embeddings_model = SentenceTransformer('GanymedeNil/text2vec-large-chinese')

# Cell
import ipymock.browser

def mock_embed_create(**kwargs):
    texts = kwargs['input']
    if isinstance(texts, str):
        texts = [texts]
    data = []
    for idx, embedding in enumerate(embeddings_model.encode(texts)):
        data.append({
            'object': 'embedding',
            'embedding': embedding,
            'index': idx,
        })
    return ipymock.browser.attributize({
        'object': 'list',
        'data': data,
        'usage': {
            'prompt_tokens': 0,
            'total_tokens': 0,
        },
    })

# Cell
import openai, pytest

@pytest.fixture
def mock_openai_embed(monkeypatch):
    monkeypatch.setattr(openai.Embedding, 'create', mock_embed_create)